#!/usr/bin/python
# -*- encoding: utf-8; py-indent-offset: 4 -*-

register_check_parameters(
    subgroup_applications,
    'checkpoint_threat_emulation',
    _('Check Point Threat Emulation status'),
    Dictionary(
        elements=[
            ('used_monthly_quota_levels',
             Tuple(
                 title=_('Levels for used monthly quota on cloud'),
                 elements=[
                     Integer(title=_('Warning at'), default_value=90, unit=_('%')),
                     Integer(title=_('Critical at'), default_value=95, unit=_('%')),
                 ])),
            ('remaining_quota_levels',
             Tuple(
                 title=_('Levels for remaining quota on cloud'),
                 elements=[
                     Integer(title=_('Warning at'), default_value=10000, unit=_('Files')),
                     Integer(title=_('Critical at'), default_value=5000, unit=_('Files')),
                 ])),
            ('files_waiting_levels',
             Tuple(
                 title=_('Levels for files waiting for emulation'),
                 elements=[
                     Integer(title=_('Warning at'), default_value=5, unit=_('Files')),
                     Integer(title=_('Critical at'), default_value=10, unit=_('Files')),
                 ])),
        ],
    ),
    None,
    match_type='dict',
)
